:root {
    --main-bg-color: #2C9AD5;
}

/*#Embed Fonts*/
@font-face {
    font-family: 'Sports World Regular';
    src: url('../fonts/Sports World-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Sports World';
    src: url('../fonts/Sports World-Regular.otf') format('opentype');
}

/* #region Defaults */
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
@media only screen and (min-width: 991px) {
    input,
    select,
    textarea {
        max-width: 280px;
    }
}
/* #endregion */

/*#region Make navbar collapse for small screens */
@media (max-width: 992px) {
    .navbar-header {
        float: none;

    }

    .navbar-left, .navbar-right {
        float: none !important;
    }

    .navbar-toggle {
        display: block;
    }

    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
    }

    .navbar-fixed-top {
        top: 0;
        border-width: 0 0 1px;
    }

    .navbar-collapse.collapse {
        display: none !important;
    }

    .navbar-nav {
        float: none !important;
        margin-top: 7.5px;
    }

        .navbar-nav > li {
            float: none;
        }

            .navbar-nav > li > a {
                padding-top: 10px;
                padding-bottom: 10px;
            }

    .collapse.in {
        display: block !important;
    }

    .navbar-collapse.in {
        overflow-y: scroll !important;
    }
    .navbar-nav .open .dropdown-menu {
        position: static;
        float: none;
        width: auto;
        margin-top: 0;
        background-color: transparent;
        border: 0;
        box-shadow: none;
    }
}
/* #endregion */

/* #region Make text areas look like other inputs */
.form-group textarea {
	color: #555555;
	display: block;
	/*vertical-align: middle;*/
	width: 100%;
	height: 68px;
	padding: 6px 12px;
	background-color: #ffffff;
	border: 1px solid #cccccc;
	border-radius: 4px;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	-webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
	.form-group textarea:focus {
		border-color: #66afe9;
		outline: 0;
		-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
		box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
	}
/* #endregion */

/* #region Fixed aspect ratio images */
.image-outer-container {
    position: relative;
    padding-top: 100%;
    margin: 15px 0;
}

.image-inner-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

    .image-inner-container > a {
        height: 100%;
        width: 100%;
    }

        .image-inner-container > a > div {
            height: 100%;
            width: 100%;
            background-position: center !important;
            transition: background-size 0.2s;
            background-size: cover !important;
        }
/* #endregion */

/* #region Half-container */
.half-container-outer {
    display: flex;
    flex-wrap: wrap;
}

.left-half-container,
.right-half-container {
    flex-grow: 1;
    align-items: stretch;
    padding: 15px;
    background-size: cover;
    background-position: center;
    width: 50%;
}

@media (max-width: 767px) {
    .half-container-outer {
        flex-direction: column;
    }

    .right-half-container,
    .left-half-container {
        width: 100%;
    }

    .right-half-container:nth-child(2) {
        order: 3;
    }

    .right-half-container:nth-child(3) {
        order: 2;
    }

    .right-half-container:nth-child(4) {
        order: 4;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .left-half-container {
        padding-left: calc(50vw - 367.5px);
    }

    .right-half-container {
        padding-right: calc(50vw - 367.5px);
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .left-half-container {
        padding-left: calc(50vw - 477.5px);
    }

    .right-half-container {
        padding-right: calc(50vw - 477.5px);
    }
}

@media (min-width: 1200px) {
    .left-half-container {
        padding-left: calc(50vw - 577.5px);
    }

    .right-half-container {
        padding-right: calc(50vw - 577.5px);
    }
}
/* #endregion */

/* #region Helpers */
.flex-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.plain-link {
    color: unset;
}
    .plain-link:hover,
    .plain-link:focus {
        color: unset;
        text-decoration: unset;
    }
.w100 {
    width: 100%;
}

@media (max-width: 767px) {
    .col-xs-offset-3 {
        margin-left: 25%;
    }
}
/* #endregion */

/* #region Hover animations */
@media only screen and (min-width: 1200px) {
    .hover-animate,
    .hover-animate-larger {
        display: inline-block;
        transition: transform 0.15s ease-in-out;
    }
        .hover-animate:hover {
            transform: scale(1.05);
        }
        .hover-animate-larger:hover {
            transform: scale(1.1);
        }
    }
/* #endregion */

/* #region Footer */
#footer {
    padding-top: 15px;
}
#site-map {
    padding: 0;
    list-style: none;
}
#site-map > li > a {
    font-size: 22px;
    color: whitesmoke;
}
#site-map > li > a:hover {
    color: whitesmoke;
    text-decoration: underline;
}
/* #endregion */

.programs-link,
.programs-link:hover,
.programs-link::selection,
.programs-link:focus {
    color: white;
    font-weight: bold;
    margin-bottom: 15px;
    text-decoration: underline;
}

@media only screen and (max-width: 990px) {
    .programs-link {
        font-size: 28px;
    }
}

.my-nav {
    position: sticky;
    top: 0;
    width: 100%;
    box-shadow: #cccccc 0px 0px 8px 3px;
    background-color: white;
    z-index: 1000;
}

.my-nav a {
    color: var(--main-bg-color);
    font-weight: 600;
    text-decoration: none;
}

.navbar-toggle {
    margin-top: 18px;
    border-color: #333;
}

.navbar-toggle .icon-bar {
    background-color: #333;
}

@media only screen and (max-width: 991px) {
    .program-category-link {
        display: block;
        margin: 5px 0;
    }

        .program-category-link:first-of-type {
            margin-top: 20px;
        }

        .program-category-link:last-of-type {
            margin-bottom: 30px;
        }
}

.program-category-link {
    color: #2c9ad5;
    font-weight: 600;
    text-decoration: none;
    font-family: metronic-slab, serif;
    font-weight: 600;
    font-style: normal;
    margin-right: 50px;
    font-size: 20px;
}

    .program-category-link.selected {
        text-decoration: underline;
    }

    .program-category-link:hover {
        color: #2c9ad5;
    }
    
.navbar-right a {
    font-size: 16px;
    font-weight: bold;
}

.logo {
    width: 100%; 
    max-width:300px; 
    padding-top:15px; 
    padding-bottom:15px;
}

@media only screen and (max-width: 991px) {
    .hide-mobile {
        display: none !important;
    }
}

.my-nav-item {
    display: flex;
    margin: 10px;
    font-size: 19px;
    align-items:flex-end;
}

    .my-nav-item .dropdown.open li a {
        font-size: 18px;
    }

    .my-nav-item .dropdown.open li a:hover {
        background-color: #2c9ad5;
    }

.main-content {
    background-color: var(--main-bg-color);
    color: white;
    font-size: 18px;
}

.custom-font {
    font-family: metronic-slab, serif;
    font-weight: 600;
    font-style: normal;
}

#footer a {
    color: var(--main-bg-color);
    font-weight: bold;
}

/*#region Program and category display */
.category-header {
    cursor: pointer;
    display: flex;
    align-items: center;
    font-size: 2em;
    font-weight: bold;
    margin: 20px 0 5px 0;
}

    .category-header .toggle-icon {
        font-weight: normal;
        margin-right: 8px;
        transition: transform 0.2s ease;
    }

    .category-header.collapsed .toggle-icon {
        transform: rotate(-90deg);
    }

.category-content {
    margin-left: 25px;
    display: none; /* hidden until expanded */
}

    /* For showing uncategoriezed programs*/
    .category-content.visible {
        display: initial;
    }

.program {
    padding: 5px 10px;
    border-left: 2px solid #ccc;
    margin: 3px 0;
}
/*#endregion */

/*#region Styles to duplicate their third party site */
.nav-center {
    text-align: center;
    padding-top: 8px;
}

    .nav-center .navbar-nav {
        display: inline-block;
        float: none;
    }

    .nav-center a .caret {
        border-top-color: black !important;
        border-bottom-color: black !important;
    }

.orange-nav {
    background-color: #121415;
    border: none;
    border-radius: 0px;
    font-size: 18px;
    font-weight: 700;
}

.orange-nav .dropdown,
.orange-nav .dropdown a,
.orange-nav .dropdown-menu {
    background-color: #121415 !important;
}

.orange-nav li a {
    color: white !important;
    padding: 12px 25px;
}

.header-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.header-item {
    flex-basis: 25%;
    padding: 10px;
}

.header-text {
    font-size: 18px;
    font-weight: bold;
}

    .header-text a {
        color: #121415;
        text-decoration: underline;
    }

    .header-text li {
        float: right;
    }

    .header-text li a {
        padding-top: 3px;
        padding-bottom: 3px;
    }

.contact-button {
    margin: 15px;
    width: 80%;
    background-color: #121415;
    border: none;
}

.contact-button:hover,
.contact-button:focus {
    background-color: #555555;
}
/*#endregion*/